package com.fkzy.warn.common.conf;

//@Target(ElementType.METHOD)
//@Retention(RetentionPolicy.RUNTIME)
public @interface Idempotent {

    String message() default "操作太频繁请稍后再试";

    /**
     * 默认值为 -1 则相同参数只能等上次调用完成后，才能进行下次调用
     * 值为 800 则2次调用间隔 800毫秒
     */
    long interval() default -1L;

    /**
     * TODO 请求参数筛选 "$sign_$1.name,$2.age,$3.getHeaders().get("token")"
     */
    String uniqueKey() default "";

    /**
     * TODO 值为 true 则如果两次请求是不同ip则通过
     */
    boolean ip() default false;

}
